Bug 440315 - Dell GX-150 with Intel integated video graphics leaves video sparkels
Dell GX-150 with Intel integated video graphics leaves video sparkels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 15:08 EDT by Dan Batryn
Modified: 2009-01-09 02:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:45:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
original parameters in file Xorg.0.log (40.90 KB, application/octet-stream)
2008-04-08 19:16 EDT, Dan Batryn
no flags Details
original parameters in file xorg.conf (602 bytes, application/octet-stream)
2008-04-08 19:16 EDT, Dan Batryn
no flags Details
new parameters after the xorg.conf was moved aside (40.42 KB, application/octet-stream)
2008-04-08 19:17 EDT, Dan Batryn
no flags Details
new parameters after the xorg.conf was moved aside (732 bytes, application/octet-stream)
2008-04-08 19:18 EDT, Dan Batryn
no flags Details

  None (edit)
Description Dan Batryn 2008-04-02 15:08:04 EDT
Description of problem:
Video output produces sparkily vertical stripes when operating at 1280x1024 
75Hz resolution.  

Version-Release number of selected component (if applicable):


How reproducible:
Installation was done on a Dell Optiplex GX-150 using the onboard Intel video 
sub system.  The video was configured to be 1280x1024 at 75 Hz.  The resulting 
video output was stable but had sparkely vertical stripes that varied in 
intensity depending on CPU utilization.  The problem shows up at other 
resolutions but to a lesser extent.  This system was then reconfigured to run 
WinXP at the same resolution and there was no sparkeling.  I do not believe it 
is a hardware problem.

Steps to Reproduce:
1.  Install on a Dell Optiplex GX-250 with integrated Intel video graphics
2.
3.
  
Actual results:
Sparkely video

Expected results:


Additional info:
Altering the video resolution and video refresh rate do not eliminate the 
problem.
Comment 1 Matěj Cepl 2008-04-03 05:29:30 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Dan Batryn 2008-04-08 19:16:02 EDT
Created attachment 301727 [details]
original parameters in file Xorg.0.log
Comment 3 Dan Batryn 2008-04-08 19:16:54 EDT
Created attachment 301728 [details]
original parameters in file xorg.conf
Comment 4 Dan Batryn 2008-04-08 19:17:58 EDT
Created attachment 301729 [details]
new parameters after the xorg.conf was moved aside
Comment 5 Dan Batryn 2008-04-08 19:18:19 EDT
Created attachment 301730 [details]
new parameters after the xorg.conf was moved aside
Comment 6 Dan Batryn 2008-04-08 19:27:37 EDT
After the original xorg.conf was moved aside and then the system was rebooted, 
I selected the 1280x1024 resolution and still have the same sparkly vertical 
lines.  I then changed the resolution to a lower value but the vertical lines 
are still present.  The vertical and horizontal sync are stable in all cases.  
The amount of sparkle on the vertical lines is CPU load dependent.  Since the 
Intel video controller is cycle stealing its video memory from main memory, I 
suspect that the arbitration initialization is not correct if using the onboard 
Intel video controller.
Comment 7 Dave Airlie 2008-05-09 01:18:21 EDT
you may want to try running this chipset in 16-bit, it doesn't work very well hw
wise in 24-bit.

Comment 8 Dan Batryn 2008-05-12 13:55:52 EDT
I tried several resolutions and bits depths and found some amount of sparkling 
at all of the 1280 x XXX and 1152 x XXX resolutions.  Going down to 1024 x 768 
finally cured the problem.  I did not experience any of these problems running 
Win XP on this computer previously.  If Linux ever hopes to displace Windows on 
the desktop, there will have to be a greater effort into fixing sloppy drivers 
that give the end user a bad experiance.  I realize this is a monumental task 
in testing with all of the various flavors of PC platforms but telling an end 
user to downgrade the resolution of the video display is not acceptable.
Comment 9 Dave Airlie 2008-05-12 16:40:20 EDT
you sure XP was running in 24-bit colour? not 16-bit?

the chipset does no hw accel in 24-bit colour so I would think XP would be quite
unuseable in 24-bit on it.

So try 16-bit with higher res on Linux and see if it works.
Comment 10 Dan Batryn 2008-05-12 17:57:23 EDT
Yes, I am quite sure that Win XP does operate in either 16 or 24 bit mode.  The 
Intel 82815 does support 8, 16 and 24 bit mode in 2D graphics mode according to 
the Intel website.  From the Intel website:

The Intel® 815 chipset family-based products support the following under Linux: 


XFree86* 3.3.6 accelerated server
Support for up to 1600x1200 resolution.
2D Acceleration at 8,16 and 24 bit depths.
Hardware cursor.
Full source code available.

FSB support at 133MHz.

Support for the Intel® Pentium® III processors.

Comment 11 Bug Zapper 2008-11-26 05:21:50 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-01-09 02:45:44 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.